package BBUVA;

import java.util.ArrayList;
import java.util.List;

public class Arqueo {

    private List<Movimiento> movs;
    private float saldoInicial;
    private float saldoFinal;
    private boolean finalizado=false;

    public Arqueo (float saldo) {
        this.saldoInicial=saldo;
        movs = new ArrayList<Movimiento>();
    }

    public List<Movimiento> getMovs() {
        return movs;
    }

    public void setMovs(List<Movimiento> movs) {
        this.movs = movs;
    }

    public float getSaldoInicial() {
        return saldoInicial;
    }

    public float getSaldoFinal() {
        return this.saldoFinal;
    }

    public float getSaldoFinalTeorico() {
        float devolver= this.saldoInicial;
        for(int i=0;i<this.movs.size();i++)
            devolver+=this.movs.get(i).getCambioSaldo();
        return devolver;
    }

    public void actualizarSaldoFinalComoTeorico() {
        this.setSaldoFinal(this.getSaldoFinalTeorico());
    }

    public boolean isFinalizado() {
        return finalizado;
    }

    public void setFinalizado(boolean finalizado) {
        this.finalizado = finalizado;
    }

    public void setSaldoFinal(float saldoF) {
        this.saldoFinal = saldoF;
    }

    void anadirMovimiento(Movimiento get) {
        this.getMovs().add(get);
    }

    void setSaldoInicial(float i) {
        this.saldoInicial=i;
    }
}